# Uses of Interface
org.eclipse.ecf.provider.comm.IConnectionListener

Packages that use IConnectionListener
Package
Description
org.eclipse.ecf.provider.comm
org.eclipse.ecf.provider.comm.tcp

## Uses of IConnectionListener in org.eclipse.ecf.provider.comm

Subinterfaces of IConnectionListener in org.eclipse.ecf.provider.comm
Modifier and Type
Interface
Description
`interface`
`IAsynchEventHandler`
Callback interface for handling asynchronous connection events
`interface`
`ISynchAsynchEventHandler`
Event handler callback interface for connections that have both asynchronous and synchronous capabilities
`interface`
`ISynchEventHandler`
Methods in org.eclipse.ecf.provider.comm with parameters of type IConnectionListener
Modifier and Type
Method
Description
`void`
IConnection.`addListener(IConnectionListener listener)`
Add comm layer event listener
`void`
IConnection.`removeListener(IConnectionListener listener)`
remove comm layer event listener

## Uses of IConnectionListener in org.eclipse.ecf.provider.comm.tcp

Methods in org.eclipse.ecf.provider.comm.tcp with parameters of type IConnectionListener
Modifier and Type
Method
Description
`void`
Client.`addListener(IConnectionListener l)`
`void`
SSLClient.`addListener(IConnectionListener l)`
`void`
Client.`removeListener(IConnectionListener l)`
`void`
SSLClient.`removeListener(IConnectionListener l)`